Can I install Flood Modeller on my machine?
  • 10 Oct 2022
  • 1 Minute to read
  • Dark
    Light

Can I install Flood Modeller on my machine?

  • Dark
    Light

Flood Modeller is developed for Windows OS. The following Operating Systems are currently supported:

  • Windows Server 2016
  • Windows Server 2019
  • Windows Server 2022
  • Windows 10
  • Windows 11

The recommended specification for your machine is as follows:

  • 1920 x 1080 display
  • Minimum 8GB Memory
  • 100GB Hard disk space free
  • Windows 10 64 bit

Flood Modeller is provided only as a 64-bit installation and will not work on a 32-bit operating system.

There are no versions available for Unix-like systems. A workaround is to run Flood Modeller from a Virtual Machine that has Windows installed. Alternatively, Windows emulators can be utilised to run Flood Modeller on a Mac or certain Linux distributions, for example.


Was this article helpful?